<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [getTask](./bitburner.sleeve.gettask.md)

## Sleeve.getTask() method

Get task of a sleeve.

**Signature:**

```typescript
getTask(sleeveNumber: number): SleeveTask | null;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to retrieve task from. |

**Returns:**

[SleeveTask](./bitburner.sleevetask.md) \| null

Object containing information for the current task that the sleeve is performing.

## Remarks

RAM cost: 4 GB

Return the current task that the sleeve is performing, or null if the sleeve is idle. All tasks have a "type" property, and other available properties depend on the type of task.

